Skip to main content
GET
/
feedback-requests
/
check-duplicates
Check for duplicates
curl --request GET \
  --url https://www.renovationfind.com/rest-api-v1/feedback-requests/check-duplicates \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://www.renovationfind.com/rest-api-v1/feedback-requests/check-duplicates"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://www.renovationfind.com/rest-api-v1/feedback-requests/check-duplicates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": false
}
{
"success": false,
"error": "<string>"
}
{
"success": false,
"error": "Rate limit exceeded. Maximum 250 requests per 5 minutes. Please retry later."
}

Authorizations

Authorization
string
header
required

JWT token issued from the RenovationFind Manager Portal

Query Parameters

email
string<email>

Customer email address. At least one of email or phone is required.

phone
string

Customer phone number. At least one of email or phone is required.

Response

Duplicate check result

success
boolean
Example:

true

data
boolean

true if a duplicate exists, false otherwise

Example:

false